## kf6-knewstuff 6.15.0

=== debian/changelog ===
kf6-knewstuff (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Update install files.
  * Update cross.patch
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:34:03 +0100

=== debian/control ===
Source: kf6-knewstuff
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.15.0~),
               gettext,
               libkf6archive-dev (>= 6.15.0~),
               libkf6attica-dev (>= 6.15.0~),
               libkf6config-dev (>= 6.15.0~),
               libkf6coreaddons-dev (>= 6.15.0~),
               libkf6i18n-dev (>= 6.15.0~),
               libkf6package-dev (>= 6.15.0~),
               libkf6syndication-dev (>= 6.15.0~),
               libkf6widgetsaddons-dev (>= 6.15.0~),
               libkirigami-dev (>= 6.15.0~),
               libxkbcommon-dev,
               qml6-module-org-kde-kcmutils (>= 6.15.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
Rules-Requires-Root: no

Package: knewstuff-dialog6
Architecture: any
Depends: libkf6newstuff-data (= ${source:Version}),
         qml6-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf6newstuff-data (<< 6.11.0-1~),
Replaces: libkf6newstuff-data (<< 6.11.0-1~),
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf6newstuff-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf6newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf6attica-dev (>= 6.15.0~),
         libkf6coreaddons-dev (>= 6.15.0~),
         libkf6newstuffcore6 (= ${binary:Version}),
         libkf6newstuffwidgets6 (= ${binary:Version}),
         qml6-module-org-kde-newstuff (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6newstuff-doc (= ${source:Version}),
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: libkf6newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6newstuffcore6
Architecture: any
Multi-Arch: same
Depends: libkf6newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-newstuff (= ${binary:Version}),
Description: Support for downloading application assets from the network
 Framework for idownloading and sharing additional
 application data.

Package: libkf6newstuffwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network
 Framework for idownloading and sharing additional
 application data.

Package: qml6-module-org-kde-newstuff
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files.

## kf6-knewstuff 6.16.0

=== debian/changelog ===
kf6-knewstuff (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:45:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.15.0~),
+               extra-cmake-modules (>= 6.16.0~),
                gettext,
-               libkf6archive-dev (>= 6.15.0~),
-               libkf6attica-dev (>= 6.15.0~),
-               libkf6config-dev (>= 6.15.0~),
-               libkf6coreaddons-dev (>= 6.15.0~),
-               libkf6i18n-dev (>= 6.15.0~),
-               libkf6package-dev (>= 6.15.0~),
-               libkf6syndication-dev (>= 6.15.0~),
-               libkf6widgetsaddons-dev (>= 6.15.0~),
-               libkirigami-dev (>= 6.15.0~),
+               libkf6archive-dev (>= 6.16.0~),
+               libkf6attica-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6package-dev (>= 6.16.0~),
+               libkf6syndication-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
+               libkirigami-dev (>= 6.16.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.15.0~),
+               qml6-module-org-kde-kcmutils (>= 6.16.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -65,8 +65,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.15.0~),
-         libkf6coreaddons-dev (>= 6.15.0~),
+Depends: libkf6attica-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),

## kf6-knewstuff 6.17.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts
project(KNewStuff VERSION ${KF_VERSION})

set(CMAKE_CXX_EXTENSIONS OFF)

include(FeatureSummary)
find_package(ECM 6.17.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)

include(ECMGenerateQDoc)
include(ECMQmlModule)
include(ECMQtDeclareLoggingCategory)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui Widgets Xml Qml Quick QuickWidgets)
find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Package ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakeDependentOption)

find_package(KF6Attica ${KF_DEP_VERSION} CONFIG REQUIRED)
set_package_properties(KF6Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KNewStuff"
                       URL "https://commits.kde.org/attica"
                       TYPE REQUIRED
                      )
find_package(KF6Kirigami2 2.12.0)
set_package_properties(KF6Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by KNewStuffQuick's qml components"
    TYPE RUNTIME)

find_package(KF6Syndication ${KF6_DEP_VERSION})
set_package_properties(KF6Syndication PROPERTIES
    DESCRIPTION "KDE's RSS/Atom parser library"
    PURPOSE "Used by the OPDS provider to handle most of the parsing."
    TYPE OPTIONAL
)

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfigVersion.cmake"
                        SOVERSION 6)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFCORE
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfigVersion.cmake"
                        SOVERSION 6)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFWIDGETS
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffWidgetsConfigVersion.cmake"
                        SOVERSION 6)

add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff6\")
ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.16.0
)

ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NewStuff")
set(CMAKECONFIG_CORE_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NewStuffCore")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NewStuffConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NewStuffCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_CORE_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6NewStuffTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6NewStuffTargets.cmake NAMESPACE KF6::)
install(EXPORT KF6NewStuffCoreTargets DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}" FILE KF6NewStuffCoreTargets.cmake NAMESPACE KF6::)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff
  COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

set(KNEWSTUFFCORE_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuffCore")

set(KNewStuffCore_SRCS
    author.cpp
    commentsmodel.cpp
    cache.cpp
    enginebase.cpp
    entry.cpp
    imageloader.cpp
    installation.cpp
    itemsmodel.cpp
    provider.cpp
    providersmodel.cpp
    tagsfilterchecker.cpp
    xmlloader.cpp
    errorcode.cpp
    resultsstream.cpp
    transaction.cpp

    # A system by which queries can be passed to the user, and responses
    # gathered, depending on implementation. See question.h for details.
    question.cpp
    questionmanager.cpp
    questionlistener.cpp

    providercore.cpp
    providerbase.cpp
    categorymetadata.cpp
    searchrequest.cpp
    searchpreset.cpp
    cache2.cpp
    providerbubblewrap.cpp

    ../attica/atticaprovider.cpp
    ../attica/atticarequester.cpp
    ../staticxml/staticxmlprovider.cpp
)
if(KF6Syndication_FOUND)
    set(KNewStuffCore_syndication_SRCS
        ../opds/opdsprovider.cpp
        )
endif()

add_library(knscore_jobs_static STATIC)
target_sources(knscore_jobs_static PRIVATE
    # A set of minimal KJob based classes, designed to replace the
    # more powerful KIO based system in places where KIO is not available
    # for one reason or another.
    jobs/downloadjob.cpp
    jobs/filecopyjob.cpp
    jobs/filecopyworker.cpp
    jobs/httpjob.cpp
    jobs/httpworker.cpp
)
target_link_libraries(knscore_jobs_static PUBLIC Qt6::Network KF6::I18n KF6::CoreAddons KF6::Package)
target_include_directories(knscore_jobs_static PRIVATE ${CMAKE_BINARY_DIR})
# Needed to link this static lib to shared libs
set_property(TARGET knscore_jobs_static PROPERTY POSITION_INDEPENDENT_CODE ON)

ecm_qt_declare_logging_category(knscore_jobs_static
    HEADER knewstuffcore_debug.h
    IDENTIFIER KNEWSTUFFCORE
    CATEGORY_NAME kf.newstuff.core
    OLD_CATEGORY_NAMES org.kde.knewstuff.core
    DESCRIPTION "knewstuff (Core Lib)"
    EXPORT KNEWSTUFF
)

add_library(KF6NewStuffCore ${KNewStuffCore_SRCS} ${KNewStuffCore_syndication_SRCS})
add_library(KF6::NewStuffCore ALIAS KF6NewStuffCore )

set_target_properties(KF6NewStuffCore PROPERTIES
   VERSION     ${KNEWSTUFF_VERSION}
   SOVERSION   ${KNEWSTUFF_SOVERSION}
   EXPORT_NAME NewStuffCore
)

ecm_generate_export_header(KF6NewStuffCore
    EXPORT_FILE_NAME knewstuffcore_export.h
    BASE_NAME KNewStuffCore
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KNewStuff
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS 6.9
)

set(KNewStuffCore_BUILD_INCLUDE_DIRS
    ${KNewStuff_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

target_include_directories(KF6NewStuffCore
    PUBLIC "$<BUILD_INTERFACE:${KNewStuffCore_BUILD_INCLUDE_DIRS}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${KNEWSTUFFCORE_INSTALL_INCLUDEDIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff>" # module version header
)

target_link_libraries(KF6NewStuffCore
  PUBLIC
    KF6::Attica                # For interacting with ocs providers, public for uploaddialog slots
    KF6::CoreAddons
    Qt6::Gui                   # For QImage
  PRIVATE
    KF6::Archive               # For decompressing archives
    KF6::I18n                  # For translations
    KF6::ConfigCore
    KF6::Package
    Qt6::Xml
    knscore_jobs_static
)

if(KF6Syndication_FOUND)
    target_compile_definitions(KF6NewStuffCore PRIVATE -DSYNDICATION_FOUND="${KF6Syndication_FOUND}")
    target_link_libraries(KF6NewStuffCore
        PRIVATE
        KF6::Syndication #OPDS
    )
endif()

ecm_generate_headers(KNewStuffCore_CamelCase_HEADERS
  HEADER_NAMES
  Author
  Cache
  EngineBase
  Entry
  ErrorCode
  ItemsModel
  Provider
  ProvidersModel
  Question
  QuestionListener
  QuestionManager
  ResultsStream
  TagsFilterChecker
  Transaction
  SearchRequest
  ProviderCore
  CategoryMetadata
  SearchPreset

  REQUIRED_HEADERS KNewStuffCore_HEADERS
  OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/KNSCore
)

install(TARGETS KF6NewStuffCore EXPORT KF6NewStuffCoreTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(
    FILES
        ${KNewStuffCore_CamelCase_HEADERS}
        ${KNewStuffCore_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/knewstuffcore_export.h
    DESTINATION
        ${KNEWSTUFFCORE_INSTALL_INCLUDEDIR}/KNSCore
    COMPONENT Devel
)

ecm_generate_qdoc(KF6NewStuffCore knewstuffcore.qdocconf)

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

set(KNEWSTUFFWIDGETS_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuffWidgets")

add_library(KF6NewStuffWidgets)
add_library(KF6::NewStuffWidgets ALIAS KF6NewStuffWidgets)

set_target_properties(KF6NewStuffWidgets PROPERTIES
   VERSION     ${KNEWSTUFF_VERSION}
   SOVERSION   ${KNEWSTUFF_SOVERSION}
   EXPORT_NAME NewStuffWidgets
)

ecm_qt_declare_logging_category(KF6NewStuffWidgets
    HEADER knewstuffwidgets_debug.h
    IDENTIFIER KNEWSTUFFWIDGETS
    CATEGORY_NAME kf.newstuff.widgets
    DESCRIPTION "knewstuff (Widgets Lib)"
    EXPORT KNEWSTUFF
)


ecm_generate_export_header(KF6NewStuffWidgets
    EXPORT_FILE_NAME knewstuffwidgets_export.h
    BASE_NAME KNewStuffWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KNewStuff
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_sources(KF6NewStuffWidgets PRIVATE
    action.cpp button.cpp dialog.cpp resources.qrc
)

target_link_libraries(KF6NewStuffWidgets
  PUBLIC
    KF6::NewStuffCore
    Qt6::Widgets
  PRIVATE
    KF6::I18n
    KF6::ConfigCore
    KF6::WidgetsAddons
    # QtQuickDialogWrapper
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickWidgets
)

target_link_libraries(KF6NewStuffWidgets PRIVATE
        KF6::I18nQml
)

target_include_directories(KF6NewStuffWidgets
    PUBLIC "$<BUILD_INTERFACE:${KNewStuff_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${KNEWSTUFFWIDGETS_INSTALL_INCLUDEDIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff>" # module version header
)

ecm_generate_headers(KNewStuffWidgets_CamelCase_HEADERS
  HEADER_NAMES
  Action
  Button
  Dialog

  REQUIRED_HEADERS KNewStuffWidgets_HEADERS
  OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/KNSWidgets
)

install(
    FILES
        ${KNewStuffWidgets_CamelCase_HEADERS}
        ${KNewStuffWidgets_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/knewstuffwidgets_export.h
    DESTINATION ${KNEWSTUFFWIDGETS_INSTALL_INCLUDEDIR}/KNSWidgets
    COMPONENT Devel
)

install(TARGETS KF6NewStuffWidgets EXPORT KF6NewStuffTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if (BUILD_DESIGNERPLUGIN)
    include(ECMAddQtDesignerPlugin)
    ecm_qtdesignerplugin_widget(KNSWidgets::Button
        INCLUDE_FILE "KNSWidgets/Button"
        TOOLTIP "KHotNewStuff push button that encapsulats most of the details involved in using KHotNewStuff in it."
        GROUP "Buttons (KF6)"
    )

    ecm_add_qtdesignerplugin(knewstuffwidgets
        NAME KNewStuffWidgets
        OUTPUT_NAME knewstuff6widgets
        WIDGETS
            KNSWidgets::Button
        LINK_LIBRARIES
            KF6::NewStuffWidgets
        INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
        COMPONENT Devel
    )
endif()

ecm_generate_qdoc(KF6NewStuffWidgets knewstuffwidgets.qdocconf)

=== debian/changelog ===
kf6-knewstuff (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:16:31 +0100

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                gettext,
-               libkf6archive-dev (>= 6.16.0~),
-               libkf6attica-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6package-dev (>= 6.16.0~),
-               libkf6syndication-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
-               libkirigami-dev (>= 6.16.0~),
+               libkf6archive-dev (>= 6.17.0~),
+               libkf6attica-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6package-dev (>= 6.17.0~),
+               libkf6syndication-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
+               libkirigami-dev (>= 6.17.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.16.0~),
+               qml6-module-org-kde-kcmutils (>= 6.17.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -65,8 +65,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.16.0~),
-         libkf6coreaddons-dev (>= 6.16.0~),
+Depends: libkf6attica-dev (>= 6.17.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/knewstuff-([\d.]+)\.tar\.xz

## kf6-knewstuff 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 include(FeatureSummary)
-find_package(ECM 6.17.0 NO_MODULE)
+find_package(ECM 6.18.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -79,7 +79,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff6\")
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 ki18n_install(po)

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -92,7 +92,6 @@
 
 set(KNewStuffCore_BUILD_INCLUDE_DIRS
     ${KNewStuff_BINARY_DIR}
-    ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}/src
 )

=== src/tools/knewstuff-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: Dan Leinir Turthra Jensen <admin@leinir.dk>
# SPDX-License-Identifier: BSD-2-Clause

set(knewstuff-dialog_SRCS
    main.cpp
    knsrcmodel.cpp
)

qt_add_resources(RESOURCES resources.qrc)

add_executable(knewstuff-dialog6 ${knewstuff-dialog_SRCS} ${RESOURCES})

target_link_libraries(knewstuff-dialog6
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::Qml
    Qt6::Quick
    KF6::ConfigCore
    KF6::I18n
    KF6::NewStuffCore
)

target_link_libraries(knewstuff-dialog6
        KF6::I18nQml
)

install(TARGETS knewstuff-dialog6 ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.knewstuff-dialog6.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
kf6-knewstuff (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,39 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
-               libkf6archive-dev (>= 6.17.0~),
-               libkf6attica-dev (>= 6.17.0~),
-               libkf6config-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
-               libkf6package-dev (>= 6.17.0~),
-               libkf6syndication-dev (>= 6.17.0~),
-               libkf6widgetsaddons-dev (>= 6.17.0~),
-               libkirigami-dev (>= 6.17.0~),
+               libkf6archive-dev (>= 6.18.0~),
+               libkf6attica-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6package-dev (>= 6.18.0~),
+               libkf6syndication-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
+               libkirigami-dev (>= 2.12.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.17.0~),
-               qt6-base-dev (>= 6.6.0~),
+               qml6-module-org-kde-kcmutils,
+               qt6-base-dev (>= 6.7.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -43,8 +42,6 @@
          qml6-module-org-kde-newstuff (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf6newstuff-data (<< 6.11.0-1~),
-Replaces: libkf6newstuff-data (<< 6.11.0-1~),
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
@@ -65,12 +62,12 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.17.0~),
-         libkf6coreaddons-dev (>= 6.17.0~),
+Depends: libkf6attica-dev (>= 6.18.0~),
+         libkf6coreaddons-dev (>= 6.18.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6newstuff-doc (= ${source:Version}),
@@ -114,7 +111,9 @@
 
 Package: qml6-module-org-kde-newstuff
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test -- ARGS+='-E "^knewstuff-atticaprovidertes"'

## kf6-knewstuff 6.18.0+p24.04+vstable+git20250928.0636

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})
 
@@ -79,7 +79,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff6\")
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-knewstuff (6.18.0+p24.04+vstable+git20250928.0636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:36:18 +0000

kf6-knewstuff (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:53:26 +0000

kf6-knewstuff (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:23:23 +0000

kf6-knewstuff (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:32:24 +0000

kf6-knewstuff (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:55:04 +0000

kf6-knewstuff (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:38:50 +0000

kf6-knewstuff (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:05:40 +0000

kf6-knewstuff (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:04:17 +0000

kf6-knewstuff (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:31:48 +0000

kf6-knewstuff (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:57:50 +0000

kf6-knewstuff (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:33:10 +0000

kf6-knewstuff (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:35:15 +0000

kf6-knewstuff (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:30:39 +0000

kf6-knewstuff (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:38:14 +0000

kf6-knewstuff (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:37:13 +0000

kf6-knewstuff (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:48:07 +0000

kf6-knewstuff (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:31:38 +1000

kf6-knewstuff (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:59:16 +0000

kf6-knewstuff (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:22:58 +0000

kf6-knewstuff (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-knewstuff (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-knewstuff 6.18.0+p24.04+vstable+git20251005.1030

=== debian/changelog ===
kf6-knewstuff (6.18.0+p24.04+vstable+git20251005.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:30:47 +0000

## kf6-knewstuff 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 include(FeatureSummary)
-find_package(ECM 6.18.0 NO_MODULE)
+find_package(ECM 6.19.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== autotests/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

if (WIN32)
    set(DATA_DIR "/${CMAKE_CURRENT_BINARY_DIR}/data/")
else()
    set(DATA_DIR "${CMAKE_CURRENT_BINARY_DIR}/data/")
endif()
configure_file(data/entry.xml.in data/entry.xml)
configure_file(data/provider.xml.in data/provider.xml)
configure_file(data/enginetest.knsrc.in data/enginetest.knsrc)
configure_file(data/installationtest.knsrc.in data/installationtest.knsrc)

knewstuff_unit_tests(
    knewstuffauthortest.cpp
    knewstuffenginetest.cpp
    installationtest.cpp
)

if(LINUX) # fails on freebsd for unknown reasons
    knewstuff_unit_tests(atticaprovidertest.cpp)
endif()

target_link_libraries(knewstuffenginetest knewstuff_qml_STATIC)

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -145,8 +145,8 @@
   CategoryMetadata
   SearchPreset
 
+  SHARED_PREFIX KNSCore
   REQUIRED_HEADERS KNewStuffCore_HEADERS
-  OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/KNSCore
 )
 
 install(TARGETS KF6NewStuffCore EXPORT KF6NewStuffCoreTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/qtquick/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(private)

add_library(knewstuff_qml_STATIC STATIC)
target_sources(knewstuff_qml_STATIC PRIVATE
    quickengine.cpp
    quicksettings.cpp
    quickitemsmodel.cpp
    quickquestionlistener.cpp
    searchpresetmodel.cpp
    categoriesmodel.cpp
    commentsmodel.cpp
)
ecm_qt_declare_logging_category(knewstuff_qml_STATIC
    HEADER knewstuffquick_debug.h
    IDENTIFIER KNEWSTUFFQUICK
    CATEGORY_NAME kf.newstuff.quick
    OLD_CATEGORY_NAMES org.kde.knewstuff.quick
    DESCRIPTION "knewstuff (qtquick)"
    EXPORT KNEWSTUFF
)

set_property(TARGET knewstuff_qml_STATIC PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(knewstuff_qml_STATIC PUBLIC
    Qt6::Core
    Qt6::Gui # QImage
    Qt6::Qml
    KF6::ConfigCore
    KF6::I18n
    KF6::NewStuffCore
)

ecm_add_qml_module(newstuffqmlplugin URI "org.kde.newstuff" VERSION 1.0)

target_sources(newstuffqmlplugin PRIVATE
    qmlplugin.cpp

    author.cpp
    downloadlinkinfo.cpp
)

ecm_target_qml_sources(newstuffqmlplugin VERSION 1.1 SOURCES
    qml/Button.qml
    qml/Dialog.qml
    qml/DialogContent.qml
    qml/DownloadItemsSheet.qml
    qml/EntryDetails.qml
    qml/Page.qml
    qml/QuestionAsker.qml
)

ecm_target_qml_sources(newstuffqmlplugin VERSION 1.81 SOURCES
    qml/Action.qml
)

ecm_target_qml_sources(newstuffqmlplugin VERSION 1.85 SOURCES
    qml/UploadPage.qml
)

ecm_target_qml_sources(newstuffqmlplugin PRIVATE PATH private SOURCES
    qml/private/ConditionalLoader.qml
    qml/private/EntryCommentDelegate.qml
    qml/private/EntryCommentsPage.qml
    qml/private/EntryScreenshots.qml
    qml/private/ErrorDisplayer.qml
    qml/private/GridTileDelegate.qml
    qml/private/Rating.qml
    qml/private/Shadow.qml
)

ecm_target_qml_sources(newstuffqmlplugin PRIVATE PATH private/entrygriddelegates SOURCES
    qml/private/entrygriddelegates/BigPreviewDelegate.qml
    qml/private/entrygriddelegates/FeedbackOverlay.qml
    qml/private/entrygriddelegates/TileDelegate.qml
)

target_link_libraries (newstuffqmlplugin PRIVATE knewstuff_qml_STATIC)

ecm_finalize_qml_module(newstuffqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_generate_qdoc(newstuffqmlplugin knewstuffqml.qdocconf)

=== src/qtquick/private/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Harald Sitter <sitter@kde.org>

ecm_add_qml_module(newstuffqmlpluginprivate URI "org.kde.newstuff.private" GENERATE_PLUGIN_SOURCE VERSION 1.0)
target_sources(newstuffqmlpluginprivate PRIVATE transientmagicianassistant.cpp)
ecm_qt_declare_logging_category(newstuffqmlpluginprivate
    HEADER knewstuffquickprivate_debug.h
    IDENTIFIER KNEWSTUFFQUICKPRIVATE
    CATEGORY_NAME kf.newstuff.quick.private
    OLD_CATEGORY_NAMES org.kde.knewstuff.quick.private
    DESCRIPTION "knewstuff (qtquick private)"
    EXPORT KNEWSTUFF
)
target_link_libraries(newstuffqmlpluginprivate PRIVATE Qt::Quick)
ecm_finalize_qml_module(newstuffqmlpluginprivate DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kf6-knewstuff (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:06:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,40 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                gettext,
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6attica-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6package-dev (>= 6.18.0~),
-               libkf6syndication-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkirigami-dev (>= 2.12.0~),
+               libkf6archive-dev (>= 6.19.0~),
+               libkf6attica-dev (>= 6.19.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6coreaddons-dev (>= 6.19.0~),
+               libkf6i18n-dev (>= 6.19.0~),
+               libkf6package-dev (>= 6.19.0~),
+               libkf6syndication-dev (>= 6.19.0~),
+               libkf6widgetsaddons-dev (>= 6.19.0~),
+               libkirigami-dev (>= 6.19.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils,
-               qt6-base-dev (>= 6.7.0~),
+               qml6-module-org-kde-kcmutils (>= 6.19.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -42,6 +43,8 @@
          qml6-module-org-kde-newstuff (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libkf6newstuff-data (<< 6.11.0-1~),
+Replaces: libkf6newstuff-data (<< 6.11.0-1~),
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
@@ -62,12 +65,12 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.18.0~),
-         libkf6coreaddons-dev (>= 6.18.0~),
+Depends: libkf6attica-dev (>= 6.19.0~),
+         libkf6coreaddons-dev (>= 6.19.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6newstuff-doc (= ${source:Version}),
@@ -111,9 +114,7 @@
 
 Package: qml6-module-org-kde-newstuff
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test -- ARGS+='-E "^knewstuff-atticaprovidertes"'
+	-xvfb-run -a dh_auto_test -- ARGS+='-E "^knewstuff-atticaprovidertes"'

## kf6-knewstuff 6.19.0+p24.04+vstable+git20251017.0441

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vstable+git20251017.0441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:42:10 +0000

kf6-knewstuff (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:02:26 +0000

## kf6-knewstuff 6.19.0+p24.04+vstable+git20251019.0142

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vstable+git20251019.0142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:43:04 +0000

## kf6-knewstuff 6.19.0+p24.04+vstable+git20251021.0312

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vstable+git20251021.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:13:12 +0000

## kf6-knewstuff 6.19.0+p24.04+vstable+git20251024.0243

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})
 
@@ -23,7 +23,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui Widgets Xml Qml Quick QuickWidgets)
 find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:44:10 +0000

## kf6-knewstuff 6.19.0+p24.04+vstable+git20251028.0837

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vstable+git20251028.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:37:40 +0000
